> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/reports/creatives

> With Creatives endpoint, you can analyse the daily performances of your creatives on the main metrics: clicks, ctr, displays.
<br/><br/>
This endpoint supports data retrieval for up to two years in the past.



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json post /preview/reports/creatives
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/reports/creatives:
    post:
      tags:
        - Analytics
      summary: /preview/reports/creatives
      description: "With Creatives endpoint, you can analyse the daily performances of your creatives on the main metrics: clicks, ctr, displays.\r\n<br/><br/>\r\nThis endpoint supports data retrieval for up to two years in the past."
      operationId: GetCreativesReport
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/GenerateCreativesReportRequestAttributesRequest
            example:
              data:
                type: GenerateCreativesReport
                attributes:
                  startDate: '2024-01-01T00:00:00.0000000+00:00'
                  endDate: '2024-01-04T00:00:00.0000000+00:00'
                  advertiserIds:
                    - '6666'
                    - '7777'
                  metrics:
                    - Clicks
                    - Ctr
                    - Displays
                  dimensions:
                    - SizeCategory
                    - DisplaySize
                    - AdFormat
                    - Coupon
                    - CouponId
                    - Ad
                    - AdId
                    - Day
                    - Hour
                  timezone: Europe/Paris
                  adFormats:
                    - Dynamic
                    - Other formats
                  displaySizes:
                    - LeaderBoard
                    - LargeBanner
                  couponNames:
                    - a coupon name
                  couponIds:
                    - '3333'
                    - '5555'
                  adNames:
                    - Ad by Criteo team
                  adIds:
                    - '2222'
                  campaignIds:
                    - '1111'
                  adSetIds:
                    - '2222'
                    - '3333'
                  adSetStatus:
                    - Active
                    - NotRunning
          application/xml:
            schema:
              $ref: >-
                #/components/schemas/GenerateCreativesReportRequestAttributesRequest
            example: "<ValueResourceInputOfGenerateCreativesReportRequestAttributestukRIHCU xmlns:i=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Resources\">\r\n  <Data>\r\n    <Attributes xmlns:d3p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Messages\">\r\n      <d3p1:AdFormats xmlns:d4p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Models\">\r\n        <d4p1:AdFormatFilter>Dynamic</d4p1:AdFormatFilter>\r\n        <d4p1:AdFormatFilter>OtherFormats</d4p1:AdFormatFilter>\r\n      </d3p1:AdFormats>\r\n      <d3p1:AdIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>2222</d4p1:string>\r\n      </d3p1:AdIds>\r\n      <d3p1:AdNames xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>Ad by Criteo team</d4p1:string>\r\n      </d3p1:AdNames>\r\n      <d3p1:AdSetIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>2222</d4p1:string>\r\n        <d4p1:string>3333</d4p1:string>\r\n      </d3p1:AdSetIds>\r\n      <d3p1:AdSetStatus xmlns:d4p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Models\">\r\n        <d4p1:AdSetStatusFilter>Active</d4p1:AdSetStatusFilter>\r\n        <d4p1:AdSetStatusFilter>NotRunning</d4p1:AdSetStatusFilter>\r\n      </d3p1:AdSetStatus>\r\n      <d3p1:AdvertiserIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>6666</d4p1:string>\r\n        <d4p1:string>7777</d4p1:string>\r\n      </d3p1:AdvertiserIds>\r\n      <d3p1:CampaignIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>1111</d4p1:string>\r\n      </d3p1:CampaignIds>\r\n      <d3p1:CouponIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>3333</d4p1:string>\r\n        <d4p1:string>5555</d4p1:string>\r\n      </d3p1:CouponIds>\r\n      <d3p1:CouponNames xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>a coupon name</d4p1:string>\r\n      </d3p1:CouponNames>\r\n      <d3p1:Dimensions xmlns:d4p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Models\">\r\n        <d4p1:CreativesReportDimensions>SizeCategory</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>DisplaySize</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>AdFormat</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>Coupon</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>CouponId</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>Ad</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>AdId</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>Day</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>Hour</d4p1:CreativesReportDimensions>\r\n      </d3p1:Dimensions>\r\n      <d3p1:DisplaySizes xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>LeaderBoard</d4p1:string>\r\n        <d4p1:string>LargeBanner</d4p1:string>\r\n      </d3p1:DisplaySizes>\r\n      <d3p1:EndDate>2024-01-04T00:00:00</d3p1:EndDate>\r\n      <d3p1:IsInternal>false</d3p1:IsInternal>\r\n      <d3p1:Metrics xmlns:d4p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Models\">\r\n        <d4p1:CreativesReportMetrics>Clicks</d4p1:CreativesReportMetrics>\r\n        <d4p1:CreativesReportMetrics>Ctr</d4p1:CreativesReportMetrics>\r\n        <d4p1:CreativesReportMetrics>Displays</d4p1:CreativesReportMetrics>\r\n      </d3p1:Metrics>\r\n      <d3p1:StartDate>2024-01-01T00:00:00</d3p1:StartDate>\r\n      <d3p1:Timezone>Europe/Paris</d3p1:Timezone>\r\n    </Attributes>\r\n    <Type>GenerateCreativesReport</Type>\r\n  </Data>\r\n</ValueResourceInputOfGenerateCreativesReportRequestAttributestukRIHCU>"
          text/xml:
            schema:
              $ref: >-
                #/components/schemas/GenerateCreativesReportRequestAttributesRequest
            example: "<ValueResourceInputOfGenerateCreativesReportRequestAttributestukRIHCU xmlns:i=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Resources\">\r\n  <Data>\r\n    <Attributes xmlns:d3p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Messages\">\r\n      <d3p1:AdFormats xmlns:d4p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Models\">\r\n        <d4p1:AdFormatFilter>Dynamic</d4p1:AdFormatFilter>\r\n        <d4p1:AdFormatFilter>OtherFormats</d4p1:AdFormatFilter>\r\n      </d3p1:AdFormats>\r\n      <d3p1:AdIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>2222</d4p1:string>\r\n      </d3p1:AdIds>\r\n      <d3p1:AdNames xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>Ad by Criteo team</d4p1:string>\r\n      </d3p1:AdNames>\r\n      <d3p1:AdSetIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>2222</d4p1:string>\r\n        <d4p1:string>3333</d4p1:string>\r\n      </d3p1:AdSetIds>\r\n      <d3p1:AdSetStatus xmlns:d4p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Models\">\r\n        <d4p1:AdSetStatusFilter>Active</d4p1:AdSetStatusFilter>\r\n        <d4p1:AdSetStatusFilter>NotRunning</d4p1:AdSetStatusFilter>\r\n      </d3p1:AdSetStatus>\r\n      <d3p1:AdvertiserIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>6666</d4p1:string>\r\n        <d4p1:string>7777</d4p1:string>\r\n      </d3p1:AdvertiserIds>\r\n      <d3p1:CampaignIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>1111</d4p1:string>\r\n      </d3p1:CampaignIds>\r\n      <d3p1:CouponIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>3333</d4p1:string>\r\n        <d4p1:string>5555</d4p1:string>\r\n      </d3p1:CouponIds>\r\n      <d3p1:CouponNames xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>a coupon name</d4p1:string>\r\n      </d3p1:CouponNames>\r\n      <d3p1:Dimensions xmlns:d4p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Models\">\r\n        <d4p1:CreativesReportDimensions>SizeCategory</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>DisplaySize</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>AdFormat</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>Coupon</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>CouponId</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>Ad</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>AdId</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>Day</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>Hour</d4p1:CreativesReportDimensions>\r\n      </d3p1:Dimensions>\r\n      <d3p1:DisplaySizes xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>LeaderBoard</d4p1:string>\r\n        <d4p1:string>LargeBanner</d4p1:string>\r\n      </d3p1:DisplaySizes>\r\n      <d3p1:EndDate>2024-01-04T00:00:00</d3p1:EndDate>\r\n      <d3p1:IsInternal>false</d3p1:IsInternal>\r\n      <d3p1:Metrics xmlns:d4p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Models\">\r\n        <d4p1:CreativesReportMetrics>Clicks</d4p1:CreativesReportMetrics>\r\n        <d4p1:CreativesReportMetrics>Ctr</d4p1:CreativesReportMetrics>\r\n        <d4p1:CreativesReportMetrics>Displays</d4p1:CreativesReportMetrics>\r\n      </d3p1:Metrics>\r\n      <d3p1:StartDate>2024-01-01T00:00:00</d3p1:StartDate>\r\n      <d3p1:Timezone>Europe/Paris</d3p1:Timezone>\r\n    </Attributes>\r\n    <Type>GenerateCreativesReport</Type>\r\n  </Data>\r\n</ValueResourceInputOfGenerateCreativesReportRequestAttributestukRIHCU>"
          application/*+xml:
            schema:
              $ref: >-
                #/components/schemas/GenerateCreativesReportRequestAttributesRequest
            example: "<ValueResourceInputOfGenerateCreativesReportRequestAttributestukRIHCU xmlns:i=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Resources\">\r\n  <Data>\r\n    <Attributes xmlns:d3p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Messages\">\r\n      <d3p1:AdFormats xmlns:d4p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Models\">\r\n        <d4p1:AdFormatFilter>Dynamic</d4p1:AdFormatFilter>\r\n        <d4p1:AdFormatFilter>OtherFormats</d4p1:AdFormatFilter>\r\n      </d3p1:AdFormats>\r\n      <d3p1:AdIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>2222</d4p1:string>\r\n      </d3p1:AdIds>\r\n      <d3p1:AdNames xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>Ad by Criteo team</d4p1:string>\r\n      </d3p1:AdNames>\r\n      <d3p1:AdSetIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>2222</d4p1:string>\r\n        <d4p1:string>3333</d4p1:string>\r\n      </d3p1:AdSetIds>\r\n      <d3p1:AdSetStatus xmlns:d4p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Models\">\r\n        <d4p1:AdSetStatusFilter>Active</d4p1:AdSetStatusFilter>\r\n        <d4p1:AdSetStatusFilter>NotRunning</d4p1:AdSetStatusFilter>\r\n      </d3p1:AdSetStatus>\r\n      <d3p1:AdvertiserIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>6666</d4p1:string>\r\n        <d4p1:string>7777</d4p1:string>\r\n      </d3p1:AdvertiserIds>\r\n      <d3p1:CampaignIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>1111</d4p1:string>\r\n      </d3p1:CampaignIds>\r\n      <d3p1:CouponIds xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>3333</d4p1:string>\r\n        <d4p1:string>5555</d4p1:string>\r\n      </d3p1:CouponIds>\r\n      <d3p1:CouponNames xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>a coupon name</d4p1:string>\r\n      </d3p1:CouponNames>\r\n      <d3p1:Dimensions xmlns:d4p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Models\">\r\n        <d4p1:CreativesReportDimensions>SizeCategory</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>DisplaySize</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>AdFormat</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>Coupon</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>CouponId</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>Ad</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>AdId</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>Day</d4p1:CreativesReportDimensions>\r\n        <d4p1:CreativesReportDimensions>Hour</d4p1:CreativesReportDimensions>\r\n      </d3p1:Dimensions>\r\n      <d3p1:DisplaySizes xmlns:d4p1=\"http://schemas.microsoft.com/2003/10/Serialization/Arrays\">\r\n        <d4p1:string>LeaderBoard</d4p1:string>\r\n        <d4p1:string>LargeBanner</d4p1:string>\r\n      </d3p1:DisplaySizes>\r\n      <d3p1:EndDate>2024-01-04T00:00:00</d3p1:EndDate>\r\n      <d3p1:IsInternal>false</d3p1:IsInternal>\r\n      <d3p1:Metrics xmlns:d4p1=\"http://schemas.datacontract.org/2004/07/Criteo.Api.Exam.Statistics.Controllers.V1.Models\">\r\n        <d4p1:CreativesReportMetrics>Clicks</d4p1:CreativesReportMetrics>\r\n        <d4p1:CreativesReportMetrics>Ctr</d4p1:CreativesReportMetrics>\r\n        <d4p1:CreativesReportMetrics>Displays</d4p1:CreativesReportMetrics>\r\n      </d3p1:Metrics>\r\n      <d3p1:StartDate>2024-01-01T00:00:00</d3p1:StartDate>\r\n      <d3p1:Timezone>Europe/Paris</d3p1:Timezone>\r\n    </Attributes>\r\n    <Type>GenerateCreativesReport</Type>\r\n  </Data>\r\n</ValueResourceInputOfGenerateCreativesReportRequestAttributestukRIHCU>"
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonReportRowsListResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/JsonReportRowsListResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/JsonReportRowsListResponse'
      security:
        - oauth:
            - MarketingSolutions_Analytics_Read
components:
  schemas:
    GenerateCreativesReportRequestAttributesRequest:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/GenerateCreativesReportRequestAttributesResource
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    JsonReportRowsListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/JsonReportRowsResource'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        value objects.
    GenerateCreativesReportRequestAttributesResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/GenerateCreativesReportRequestAttributes'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    JsonReportRowsResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/JsonReportRows'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    GenerateCreativesReportRequestAttributes:
      required:
        - advertiserIds
        - dimensions
        - endDate
        - metrics
        - startDate
      type: object
      properties:
        adFormats:
          type: array
          items:
            enum:
              - Dynamic
              - Adaptive
              - RichMedia
              - Showcase
              - Video
              - Image
              - HTML5
              - Html Ad Tags
              - VAST/VPAID Tags
              - Other formats
            type: string
          description: >-
            Optional list of ad formats to filter on. If empty, all ad formats
            will be included.
          nullable: true
        adIds:
          type: array
          items:
            type: string
          description: >-
            Optional list of ad IDs to filter on. If empty, all ads will be
            included.
          nullable: true
        adNames:
          type: array
          items:
            type: string
          description: >-
            Optional list of ad names to filter on. If empty, all ads will be
            included.
          nullable: true
        adSetIds:
          type: array
          items:
            type: string
          description: >-
            Optional list of ad set IDs to filter on. If empty, all ad sets will
            be included.
          nullable: true
        adSetStatus:
          type: array
          items:
            enum:
              - Active
              - NotRunning
              - Dead
            type: string
          description: >-
            Optional list of ad set statuses to filter on. If empty, all ad sets
            will be included.
          nullable: true
        advertiserIds:
          minItems: 1
          type: array
          items:
            type: string
          description: >-
            List of advertiser IDs to report on. The advertisers must already
            exist. At least one advertiser ID should be provided.
        campaignIds:
          type: array
          items:
            type: string
          description: >-
            Optional list of marketing campaign IDs to filter on. If empty, all
            campaigns will be included.
          nullable: true
        couponIds:
          type: array
          items:
            type: string
          description: >-
            Optional list of coupon IDs to filter on. If empty, all coupons will
            be included.
          nullable: true
        couponNames:
          type: array
          items:
            type: string
          description: >-
            Optional list of coupon names to filter on. If empty, all coupons
            will be included.
          nullable: true
        dimensions:
          minItems: 1
          type: array
          items:
            enum:
              - AdFormat
              - Coupon
              - CouponId
              - DisplaySize
              - SizeCategory
              - Ad
              - AdId
              - Day
              - Hour
            type: string
          description: >-
            List of dimensions for the report. At least one dimension should be
            provided.
        displaySizes:
          type: array
          items:
            type: string
          description: >-
            Optional list of display sizes to filter on. If empty, all display
            sizes will be included. <br /><br /> Most common values: 'Native',
            'Skyscraper', 'HalfPage', 'MediumBanner', 'LargeBanner',
            'LeaderBoard', 'WideLeaderBoard', 'Other placements', 'Others'.
          nullable: true
        endDate:
          type: string
          description: >-
            End date of the report. Date component of ISO 8601 format, any time
            or timezone component is ignored.
          format: date-time
        metrics:
          minItems: 1
          type: array
          items:
            enum:
              - Clicks
              - Ctr
              - Displays
            type: string
          description: >-
            List of metrics for the report. At least one metric should be
            provided.
        startDate:
          type: string
          description: >-
            Start date of the report. Date component of ISO 8601 format, any
            time or timezone component is ignored. Must be ≤ endDate.
          format: date-time
        timezone:
          type: string
          description: >-
            Optional timezone used for the report. Timezone Database format
            (Tz).
          default: UTC
          nullable: true
      additionalProperties: false
      description: This is the message defining the query for Creatives report
    JsonReportRows:
      type: object
      properties:
        rows:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          nullable: true
      additionalProperties: false
      description: This is the message defining the json report rows
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````